> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Read starting-data contracts from this exact current source version



## OpenAPI

````yaml /api-reference/openapi.json get /v1/projects/{projectId}/source-drafts/{sourceDraftId}/baseline
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
paths:
  /v1/projects/{projectId}/source-drafts/{sourceDraftId}/baseline:
    get:
      summary: Read starting-data contracts from this exact current source version
      operationId: sourceDrafts.baseline
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            pattern: ^prj_[0-9a-z]{12,32}$
        - name: sourceDraftId
          in: path
          required: true
          schema:
            type: string
            pattern: ^draft_[0-9a-z]{12,32}$
      responses:
        '200':
          description: Current source starting data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceBaselineContext'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    SourceBaselineContext:
      type: object
      properties:
        schemaVersion:
          type: number
          enum:
            - 1
        source:
          type: object
          properties:
            organizationId:
              type: string
              pattern: ^org_[0-9a-z]{12,32}$
            projectId:
              type: string
              pattern: ^prj_[0-9a-z]{12,32}$
            sourceDraftId:
              type: string
              pattern: ^draft_[0-9a-z]{12,32}$
            revision:
              type: integer
              minimum: 1
              maximum: 2147483647
            version:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            sourceDigest:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
          required:
            - organizationId
            - projectId
            - sourceDraftId
            - revision
            - version
            - sourceDigest
          additionalProperties: false
        eligibility:
          type: string
          enum:
            - available
            - unavailable
            - unsupported
        reason:
          type: string
          maxLength: 500
        buildHash:
          nullable: true
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
        file:
          nullable: true
          type: object
          properties:
            sourceDraftId:
              type: string
              pattern: ^draft_[0-9a-z]{12,32}$
            revision:
              type: integer
              minimum: 1
              maximum: 2147483647
            path:
              type: string
              minLength: 1
              maxLength: 512
            digest:
              type: string
              pattern: ^sha256:[0-9a-f]{64}$
            content:
              type: string
              maxLength: 1048576
          required:
            - sourceDraftId
            - revision
            - path
            - digest
            - content
          additionalProperties: false
        collections:
          maxItems: 2048
          type: array
          items:
            type: object
            properties:
              packageId:
                type: string
                minLength: 1
                maxLength: 96
                pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
              instanceId:
                type: string
                minLength: 1
                maxLength: 96
                pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
              namespace:
                type: string
                minLength: 1
                maxLength: 96
                pattern: ^[a-z][a-z0-9]*(?:[-_][a-z0-9]+)*$
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/SourceBaselineContext___schema0'
              editable:
                type: boolean
              reason:
                type: string
                maxLength: 500
              recordCount:
                type: integer
                minimum: 0
                maximum: 9007199254740991
              records:
                maxItems: 500
                type: array
                items:
                  type: object
                  properties:
                    rowId:
                      type: string
                      minLength: 1
                      maxLength: 512
                    value:
                      type: object
                      additionalProperties:
                        $ref: '#/components/schemas/SourceBaselineContext___schema0'
                  required:
                    - rowId
                    - value
                  additionalProperties: false
            required:
              - packageId
              - namespace
              - schema
              - editable
              - reason
              - recordCount
              - records
            additionalProperties: false
      required:
        - schemaVersion
        - source
        - eligibility
        - reason
        - buildHash
        - file
        - collections
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
    SourceBaselineContext___schema0:
      description: Any JSON-compatible value
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````